CREATE TABLE `buildmodel` (
  `id` INTEGER PRIMARY KEY AUTO_INCREMENT,
  `buildmodelname` VARCHAR(255) NOT NULL
);

CREATE TABLE `parametermodel` (
  `id` INTEGER PRIMARY KEY AUTO_INCREMENT,
  `buildmodel` INTEGER NOT NULL,
  `parametermodelname` VARCHAR(255) NOT NULL
);

CREATE TABLE `user` (
  `id` INTEGER PRIMARY KEY AUTO_INCREMENT,
  `username` VARCHAR(255) NOT NULL,
  `pwd` VARCHAR(255) NOT NULL
);

CREATE TABLE `build` (
  `id` INTEGER PRIMARY KEY AUTO_INCREMENT,
  `build_model` INTEGER NOT NULL,
  `user` INTEGER NOT NULL,
  `buildname` VARCHAR(255) NOT NULL
);

CREATE TABLE `note` (
  `id` INTEGER PRIMARY KEY AUTO_INCREMENT,
  `user` INTEGER NOT NULL,
  `build_id` INTEGER NOT NULL,
  `note` INTEGER
);

CREATE TABLE `parameter` (
  `id` INTEGER PRIMARY KEY AUTO_INCREMENT,
  `parameter_model` INTEGER NOT NULL,
  `parametername` VARCHAR(255) NOT NULL,
  `price` DECIMAL(10,2) NOT NULL
);

CREATE TABLE `buildparameter` (
  `id` INTEGER PRIMARY KEY AUTO_INCREMENT,
  `parameter` INTEGER NOT NULL,
  `build` INTEGER NOT NULL
);